Subject: Re: Split a subversion repo into several git repos

From: Sam Vilain <[email-masked]>
Date: Sat, 13 Oct 2007 09:27:24 +1300

Eivind LM wrote:
>>
>> git-svn init -t projectA/tags -b projectA/branches \
>>    -T trunk/projectA http://svn.host.com/
>> git fetch
>
> With my paths this translates into
>
>   $ git-svn init -b eivindlm/branches \
>                  -t eivindlm/tags \
>                  -T eivindlm/trunk/src/probesimulator \
>                  file:///svn-repo/
> , which prints the happy message:
>   Initialized empty Git repository in .git/
>
> The next command is unfortunately not as happy:
>   $ git fetch
>   fatal: 'origin': unable to chdir or not a git archive
>   fatal: The remote end hung up unexpectedly
>   Cannot get the repository state from origin
>
> I suppose this is due to my silly svn-repo layout... However, after
> some trial and error it seems like the following command gives me what
> I want (I don't need tags or other branches than main):

Whoops, my mistake.  That should have been "git svn fetch".

Sam.